### Function

# Gio dbus_address_get_stream

since: 2.26

#### Declaration

    void
    g_dbus_address_get_stream (
      const gchar* address,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously connects to an endpoint specified by `address` and sets up the connection so it is in a state to run the client-side of the D-Bus authentication conversation. `address` must be in the D-Bus address format.

When the operation is finished, `callback` will be invoked. You can then call `g_dbus_address_get_stream_finish()` to get the result of the operation.

This is an asynchronous failable function. See `g_dbus_address_get_stream_sync()` for the synchronous version.

Available since: 2.26

This function completes asynchronously. Use `g_dbus_address_get_stream_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`address`

  Type: `const gchar*`

  A valid D-Bus address.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.